using Lada.Framework.Data.Domains.Orders;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.Orders
{
    public class OrderTrackMap : IEntityMappingConfiguration<OrderTrack>
    {
        public void Map(EntityTypeBuilder<OrderTrack> builder)
        {
            builder.HasKey(o => o.Id);
            builder.Property(o => o.Id).HasDefaultValueSql("NEWID()");
            builder.ToTable("OrderTrack");
        }
    }
}
